import os

test_passed = True
install_string = 'sudo apt-get install python-dev'

try:
	import numpy
	print 'numpy module found, version', numpy.__version__
except:
	print 'numpy module not found'
	test_passed = False
	install_string = install_string+' python-numpy'
try:
	import matplotlib
	print 'matplotlib module found, version', matplotlib.__version__
except:
	print 'matplotlib not found'
	test_passed = False
	install_string = install_string+' python-matplotlib'
try:
	import Ifeffit
	print 'Ifeffit module found, version', Ifeffit.__version__
except:
	print 'Ifeffit not found'
	test_passed = False
	install_string = install_string+' python-ifeffit'
try:
	import PyQt4
	import PyQt4.QtCore
	print 'PyQt4 module found, version', PyQt4.QtCore.PYQT_VERSION
except:
	print 'PyQt4 not found'
	test_passed = False
	install_string = install_string+' python-qt4'


if test_passed:
	print 'CARD should run'
	os.system('sudo apt-get install python-dev')
else:
	print 'some packages are missing! installing dependencies'
	os.system(install_string)
