# window that conains the log of the program
# to be implemented


import sys
from PyQt4 import QtGui, QtCore
from string import *
from time import strftime


class Logtxt(QtGui.QWidget):
    def __init__(self, parent = None):
        QtGui.QWidget.__init__(self, parent)
        self.createPage()

    def createPage(self):
        self.setWindowTitle('Buffer log')
        self.edit = QtGui.QTextEdit(strftime("%Y, %d/%m     %H:%M:%S"))
        self.edit.append('CARD session started.')
        self.edit.append('This log box is editable. You can write here your notes')
        self.edit.setMaximumSize(QtCore.QSize(700,80))
        self.SaveButton = QtGui.QPushButton('Save .log')
        self.connect(self.SaveButton, QtCore.SIGNAL("clicked()"), self.saveLog)
        Layout = QtGui.QVBoxLayout()
        Layout.addWidget(self.edit)
        Layout.addWidget(self.SaveButton)
        self.setLayout(Layout)

# function that permits to append to the logbox the message. to be implemented with the QtCore.emit method
    def testFunc(self, msg):
        self.edit.append(msg)
    def saveLog(self):
        out = QtGui.QFileDialog.getSaveFileName(self,'select file', '.',  '*.log')
        if len(out) == 0:
            return
        param = str(self.edit.toPlainText())
        file=open(out, 'w')
        file.write(param)
        file.close
        self.edit.append('saved '+out)


if __name__ == '__main__':
    app = QtGui.QApplication(sys.argv)
    qb = Logtxt()
    qb.show()
    sys.exit(app.exec_())
