# reads from a file two columns and manage a rebin whithin a given step, then write it back to an output file
# usage:
# rd = rebinner()
# rd.doall(input_file, output_file, x_col, y_col, step)


from string import *
import numpy as np
import Ifeffit
iff = Ifeffit.Ifeffit()

in_file = 'TEST/gold_105_ref.TXT'
out_file = 'TEST/out'

class Rebinner:
    def leggi(self, in_file):
        self.in_file = in_file
        self.lines = []
        file = open(self.in_file, 'r')
        self.lines = file.readlines()
        #lines = split(lines)
        file.close()
        
    def dividi(self):
        a = 0
        for i in range(len(self.lines)):
            self.lines[i] = split(self.lines[i])
            if self.lines[i][0] == '#':
                a = a+1
        self.lines = self.lines[a:]              
        
    def selez_colonna(self, x, y):
        self.x_list = []
        self.y_list = []
        for d in range(len(self.lines)):
            self.x_list.append(atof(self.lines[d][x-1]))
            self.y_list.append(atof(self.lines[d][y-1]))
        self.x_list = np.array(self.x_list)
        self.y_list = np.array(self.y_list)
            
#    def rebinna(self, npoints,from_e, to_e, weight, dele0):
#        inizio = self.x_list[0]
#        fine = self.x_list[len(self.x_list)-1]
#        if weight > 0.999 :
#            weight = 1.0
#        if from_e == 'min' and to_e != 'max':
#            to_e = atof(to_e)
#            nmid = (to_e-inizio)/(fine-inizio)*weight*npoints
#            nmid = int(round(nmid))
#            npost = npoints - nmid
#            step_mid = (to_e - inizio)/nmid
#            step_post = (fine - to_e)/npost
#            mid_x = np.arange(inizio, to_e, step_mid)
#            post_x = np.arange(to_e, fine, step_post)
#            self.new_x = np.concatenate((mid_x,post_x))
#        elif to_e == 'max' and from_e != 'min':
#            from_e = atof(from_e)
#            nmid = (fine-from_e)/(fine-inizio)*weight*npoints
#            nmid = int(round(nmid))
#            npre = npoints - nmid
#            step_mid = (fine - from_e)/nmid
#            step_pre = (from_e - inizio)/npre
#            mid_x = np.arange(from_e, fine, step_mid)
#            pre_x = np.arange(inizio, from_e, step_pre)
#            self.new_x = np.concatenate((pre_x,mid_x))
#        elif from_e == 'min' and to_e == 'max':
#            step = (fine-inizio)/npoints
#            self.new_x = np.arange(inizio, fine, step)
#        else:
#            from_e = atof(from_e)
#            to_e = atof(to_e)
#            nmid = (to_e-from_e)/(fine-inizio)*weight*npoints
#            nmid = int(round(nmid))
#            npre = (from_e - inizio)/((from_e - inizio)+(fine-to_e))*(npoints-nmid)
#            npre = int(round(npre))
#            npost = npoints - npre - nmid
#        
#            step_pre = (from_e - inizio)/npre
#            step_mid = (to_e - from_e)/nmid
#            step_post = (fine - to_e)/npost
#        
#            pre_x = np.arange(inizio, from_e, step_pre)
#            mid_x = np.arange(from_e, to_e, step_mid)
#            post_x = np.arange(to_e, fine, step_post)
#        #self.new_x = np.arange(inizio, fine, step)
#            self.new_x = np.concatenate((pre_x,mid_x,post_x))
#        iff.put_array('a.x', self.x_list)
#        iff.put_array('a.y', self.y_list)
#        iff.put_array('a.newx', (self.new_x-dele0))
#        iff.ifeffit('a.newy = rebin(a.x,a.y,a.newx)')
#        self.new_y = iff.get_array('a.newy')
#        self.new_y = np.array(self.new_y)
#        iff.ifeffit('erase @arrays')

    def weights(self, from_e, to_e, weight, dele0):
        inizio = self.x_list[0]
        fine = self.x_list[len(self.x_list)-1]
        points = 1000
        step = (fine-inizio)/points
        self.new_x = np.arange(inizio,fine,step)
        self.pesi = []
        iff.put_array('a.x', self.x_list)
        iff.put_array('a.y', self.y_list)
        iff.put_array('a.newx', (self.new_x-atof(dele0)))
        iff.ifeffit('a.newy = rebin(a.x,a.y,a.newx)')
        self.new_y = iff.get_array('a.newy')
        self.new_y = np.array(self.new_y)
        iff.ifeffit('erase @arrays')
        if weight > 0.999 :
            weight = 1.0
        if from_e == 'min' and to_e != 'max':
            to_e = atof(to_e)
            for i in range(len(self.new_x)):
                if self.new_x[i] >= to_e:
                    self.pesi.append(1.0)
                elif self.new_x[i] < to_e:
                    self.pesi.append(weight)
        elif to_e == 'max' and from_e != 'min':
            from_e = atof(from_e)
            for i in range(len(self.new_x)):
                if self.new_x[i] <= from_e:
                    self.pesi.append(1.0)
                elif self.new_x[i] > from_e:
                    self.pesi.append(weight)                  
        elif to_e == 'max' and from_e == 'min':
            for i in range(len(self.new_x)):
                self.pesi.append(weight)
        else:
            from_e = atof(from_e)
            to_e = atof(to_e)
            for i in range(len(self.new_x)):
                if self.new_x[i] <= from_e:
                    self.pesi.append(1.0)
                elif self.new_x[i] > from_e and self.new_x[i] <= to_e:
                    self.pesi.append(weight)
                elif self.new_x[i] > to_e:
                    self.pesi.append(1.0)
        self.pesi = np.array(self.pesi)
        

            
        max
    def outWrite(self, out_file):
        file = open(out_file, 'w')
        for s in range(len(self.new_x)):
            line = str(self.new_x[s]) + '  ' + str(self.new_y[s]) + '  ' + str(self.pesi[s]) + '\n'
            file.write(line)
        file.close()
        
    def doall(self, in_file, out_file, x, y, from_e, to_e, weight, dele0):
        self.leggi(in_file)
        self.dividi()
        self.selez_colonna(x,y)
        #self.rebinna(npoints, from_e, to_e, weight, dele0)
        self.weights(from_e, to_e, weight, dele0)
        self.outWrite(out_file)
       
        
        
        
        
if __name__ == '__main__':
    rb = Rebinner()
    #rb.leggi(in_file)
    #rb.dividi()
    #rb.selez_colonna(1,2)
    #rb.rebinna(1.0)
    #rb.weights(11900.0, 12050.0, 0.5,0.0)
    #rb.outWrite(out_file)
    rb.doall(in_file,out_file,1,2, 11900.0, 12050.0, 0.5, 0.0)
    
    
